| The Gaudi Framework v28r2p1 (f1a77ff4)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Private Member Functions | Private Attributes | List of all members
JobOptionsSvc Class Reference

`#include <src/JobOptionsSvc/JobOptionsSvc.h>`

Inheritance diagram for JobOptionsSvc:
[legend]
Collaboration diagram for JobOptionsSvc:
[legend]

## Public Types
typedef std::vector< const Gaudi::Details::PropertyBase * > | PropertiesT
Public Types inherited from extends< Service, IJobOptionsSvc >
using | base_class = extends
| Typedef to this class. More...
using | extend_interfaces_base = extend_interfaces< Interfaces... >
| Typedef to the base of this class. More...
Public Types inherited from Service
typedef Gaudi::PluginService::Factory< IService *, const std::string &, ISvcLocator * > | Factory
Public Types inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
using | PropertyHolderImpl = PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
| Typedef used to refer to this class from derived classes, as in. More...
Public Types inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
using | base_class = CommonMessaging
Public Types inherited from extend_interfaces< Interfaces... >
using | ext_iids = typename Gaudi::interface_list_cat< typename Interfaces::ext_iids... >::type
| take union of the ext_iids of all Interfaces... More...

## Public Member Functions
| JobOptionsSvc (const std::string &name, ISvcLocator *svc)
| ~JobOptionsSvc () override=default
| destructor More...
StatusCode | initialize () override
StatusCode | setMyProperties (const std::string &client, IProperty *me) override
| Override default properties of the calling client. More...
StatusCode | addPropertyToCatalogue (const std::string &client, const Gaudi::Details::PropertyBase &property) override
| Add a property into the JobOptions catalog. More...
StatusCode | removePropertyFromCatalogue (const std::string &client, const std::string &name) override
| Remove a property from the JobOptions catalog. More...
const std::vector< const Gaudi::Details::PropertyBase * > * | getProperties (const std::string &client) const override
| Get the properties associated to a given client. More...
const Gaudi::Details::PropertyBase * | getClientProperty (const std::string &client, const std::string &name) const override
| Get a property for a client. More...
std::vector< std::string > | getClients () const override
| Get the list of clients. More...
StatusCode | readOptions (const std::string &file, const std::string &path="") override
| look for file 'file' into search path 'path' and read it to update existing JobOptionsCatalogue More...
Public Member Functions inherited from extends< Service, IJobOptionsSvc >
void * | i_cast (const InterfaceID &tid) const override
| Implementation of IInterface::i_cast. More...
StatusCode | queryInterface (const InterfaceID &ti, void **pp) override
| Implementation of IInterface::queryInterface. More...
std::vector< std::string > | getInterfaceNames () const override
| Implementation of IInterface::getInterfaceNames. More...
| ~extends () override=default
| Virtual destructor. More...
Public Member Functions inherited from Service
const std::string & | name () const override
| Retrieve name of the service. More...
StatusCode | configure () override
StatusCode | initialize () override
StatusCode | start () override
StatusCode | stop () override
StatusCode | finalize () override
StatusCode | terminate () override
Gaudi::StateMachine::State | FSMState () const override
Gaudi::StateMachine::State | targetFSMState () const override
StatusCode | reinitialize () override
StatusCode | restart () override
StatusCode | sysInitialize () override
| Initialize Service. More...
StatusCode | sysStart () override
| Initialize Service. More...
StatusCode | sysStop () override
| Initialize Service. More...
StatusCode | sysFinalize () override
| Finalize Service. More...
StatusCode | sysReinitialize () override
| Re-initialize the Service. More...
StatusCode | sysRestart () override
| Re-initialize the Service. More...
| Service (std::string name, ISvcLocator *svcloc)
| Standard Constructor. More...
SmartIF< ISvcLocator > & | serviceLocator () const override
| Retrieve pointer to service locator. More...
StatusCode | setProperties ()
| Method for setting declared properties to the values specified for the job. More...
template<class T >
StatusCode | service (const std::string &name, const T *&psvc, bool createIf=true) const
| Access a service by name, creating it if it doesn't already exist. More...
template<class T >
StatusCode | service (const std::string &name, T *&psvc, bool createIf=true) const
template<typename IFace = IService>
SmartIF< IFace > | service (const std::string &name, bool createIf=true) const
template<class T >
StatusCode | service (const std::string &svcType, const std::string &svcName, T *&psvc) const
| Access a service by name and type, creating it if it doesn't already exist. More...
template<class T >
StatusCode | declarePrivateTool (ToolHandle< T > &handle, std::string toolTypeAndName="", bool createIf=true)
| Declare used Private tool. More...
template<class T >
StatusCode | declarePublicTool (ToolHandle< T > &handle, std::string toolTypeAndName="", bool createIf=true)
| Declare used Public tool. More...
SmartIF< IAuditorSvc > & | auditorSvc () const
| The standard auditor service.May not be invoked before sysInitialize() has been invoked. More...
Public Member Functions inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
| PropertyHolder ()=default
| ~PropertyHolder () override=default
Gaudi::Details::PropertyBase & | declareProperty (Gaudi::Details::PropertyBase &prop)
| Declare a property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, TYPE &value, const std::string &doc="none")
| Helper to wrap a regular data member and use it as a regular property. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, TYPE &value, const std::string &doc="none") const
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, Gaudi::Property< TYPE, VERIFIER, HANDLERS > &prop, const std::string &doc="none")
| Declare a PropertyBase instance setting name and documentation. More...
Gaudi::Details::PropertyBase * | declareRemoteProperty (const std::string &name, IProperty *rsvc, const std::string &rname="")
| Declare a remote property. More...
StatusCode | setProperty (const Gaudi::Details::PropertyBase &p) override
| set the property form another property More...
StatusCode | setProperty (const std::string &s) override
| set the property from the formatted string More...
StatusCode | setProperty (const std::string &n, const std::string &v) override
| set the property from name and the value More...
StatusCode | setProperty (const std::string &name, const TYPE &value)
| set the property form the value More...
StatusCode | getProperty (Gaudi::Details::PropertyBase *p) const override
| get the property More...
const Gaudi::Details::PropertyBase & | getProperty (const std::string &name) const override
| get the property by name More...
StatusCode | getProperty (const std::string &n, std::string &v) const override
| convert the property to the string More...
const std::vector< Gaudi::Details::PropertyBase * > & | getProperties () const override
| get all properties More...
bool | hasProperty (const std::string &name) const override
| Return true if we have a property with the given name. More...
| PropertyHolder (const PropertyHolder &)=delete
PropertyHolder & | operator= (const PropertyHolder &)=delete
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, GaudiHandleBase &ref, const std::string &doc="none")
| Specializations for various GaudiHandles. More...
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, GaudiHandleArrayBase &ref, const std::string &doc="none")
Gaudi::Details::PropertyBase * | declareProperty (const std::string &name, DataObjectHandleBase &ref, const std::string &doc="none")
Public Member Functions inherited from CommonMessagingBase
virtual | ~CommonMessagingBase ()=default
| Virtual destructor. More...
SmartIF< IMessageSvc > & | msgSvc () const
| The standard message service. More...
MsgStream & | msgStream () const
| Return an uninitialized MsgStream. More...
MsgStream & | msgStream (const MSG::Level level) const
| Predefined configurable message stream for the efficient printouts. More...
MsgStream & | always () const
| shortcut for the method msgStream(MSG::ALWAYS) More...
MsgStream & | fatal () const
| shortcut for the method msgStream(MSG::FATAL) More...
MsgStream & | err () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | error () const
| shortcut for the method msgStream(MSG::ERROR) More...
MsgStream & | warning () const
| shortcut for the method msgStream(MSG::WARNING) More...
MsgStream & | info () const
| shortcut for the method msgStream(MSG::INFO) More...
MsgStream & | debug () const
| shortcut for the method msgStream(MSG::DEBUG) More...
MsgStream & | verbose () const
| shortcut for the method msgStream(MSG::VERBOSE) More...
MsgStream & | msg () const
| shortcut for the method msgStream(MSG::INFO) More...
MSG::Level | msgLevel () const
| get the output level from the embedded MsgStream More...
MSG::Level | outputLevel () const __attribute__((deprecated))
| Backward compatibility function for getting the output level. More...
bool | msgLevel (MSG::Level lvl) const
| get the output level from the embedded MsgStream More...
Public Member Functions inherited from extend_interfaces< Interfaces... >
| ~extend_interfaces () override=default
| Virtual destructor. More...

## Private Member Functions
void | fillServiceCatalog (const Gaudi::Parsers::Catalog &catalog)
void | dump (const std::string &file, const Gaudi::Parsers::Catalog &catalog) const

## Private Attributes
Gaudi::Property< std::string > | m_source_type {this, "TYPE"}
| dump the content of Properties catalog to the predefined file More...
Gaudi::Property< std::string > | m_source_path {this, "PATH"}
Gaudi::Property< std::string > | m_dir_search_path {this, "SEARCHPATH"}
Gaudi::Property< std::string > | m_dump {this, "DUMPFILE"}
Gaudi::Property< std::string > | m_pythonAction {this, "PYTHONACTION"}
Gaudi::Property< std::string > | m_pythonParams {this, "PYTHONPARAMS"}
SvcCatalog | m_svc_catalog

## Additional Inherited Members
Protected Member Functions inherited from Service
| ~Service () override
| Standard Destructor. More...
int | outputLevel () const
| get the `Service's` output level More...
Protected Member Functions inherited from PropertyHolder< CommonMessaging< implements< IService, IProperty, IStateful > > >
Gaudi::Details::PropertyBase * | property (const std::string &name) const
Protected Member Functions inherited from CommonMessaging< implements< IService, IProperty, IStateful > >
void | updateMsgStreamOutputLevel (int level)
| Update the output level of the cached MsgStream. More...
Protected Attributes inherited from Service
Gaudi::StateMachine::State | m_state = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::StateMachine::State | m_targetState = Gaudi::StateMachine::OFFLINE
| Service state. More...
Gaudi::Property< int > | m_outputLevel {this, "OutputLevel", MSG::NIL, "output level"}
Gaudi::Property< bool > | m_auditInit {this, "AuditServices", false, "[[deprecated]] unused"}
Gaudi::Property< bool > | m_auditorInitialize {this, "AuditInitialize", false, "trigger auditor on initialize()"}
Gaudi::Property< bool > | m_auditorStart {this, "AuditStart", false, "trigger auditor on start()"}
Gaudi::Property< bool > | m_auditorStop {this, "AuditStop", false, "trigger auditor on stop()"}
Gaudi::Property< bool > | m_auditorFinalize {this, "AuditFinalize", false, "trigger auditor on finalize()"}
Gaudi::Property< bool > | m_auditorReinitialize {this, "AuditReinitialize", false, "trigger auditor on reinitialize()"}
Gaudi::Property< bool > | m_auditorRestart {this, "AuditRestart", false, "trigger auditor on restart()"}
SmartIF< IAuditorSvc > | m_pAuditorSvc
| Auditor Service. More...

## Detailed Description

Definition at line 23 of file JobOptionsSvc.h.

## Member Typedef Documentation

typedef std::vector<const Gaudi::Details::PropertyBase*> JobOptionsSvc::PropertiesT

Definition at line 26 of file JobOptionsSvc.h.

## Constructor & Destructor Documentation

JobOptionsSvc::JobOptionsSvc | ( | const std::string & | name,
|  | ISvcLocator * | svc
| ) |  |

Definition at line 24 of file JobOptionsSvc.cpp.

24 : base_class( name, svc )
25 {
26 if ( System::isEnvSet( "JOBOPTSEARCHPATH" ) ) m_dir_search_path = System::getEnv( "JOBOPTSEARCHPATH" );
27 if ( System::isEnvSet( "JOBOPTSDUMPFILE" ) ) m_dump = System::getEnv( "JOBOPTSDUMPFILE" );
28 }
System::getEnv
GAUDI_API std::string getEnv(const char *var)
get a particular environment variable (returning "UNKNOWN" if not set)
Definition: System.cpp:550
extends< Service, IJobOptionsSvc >::base_class
extends base_class
Typedef to this class.
Definition: extends.h:14
JobOptionsSvc::m_dump
Gaudi::Property< std::string > m_dump
Definition: JobOptionsSvc.h:76
JobOptionsSvc::m_dir_search_path
Gaudi::Property< std::string > m_dir_search_path
Definition: JobOptionsSvc.h:75
System::isEnvSet
GAUDI_API bool isEnvSet(const char *var)
Check if an environment variable is set or not.
Definition: System.cpp:570

JobOptionsSvc::~JobOptionsSvc | ( |  | ) |
| override default

destructor

## Member Function Documentation

StatusCode JobOptionsSvc::addPropertyToCatalogue | ( | const std::string & | client,
|  | const Gaudi::Details::PropertyBase & | property
| ) |  |
| override

Add a property into the JobOptions catalog.

Definition at line 49 of file JobOptionsSvc.cpp.

51 {
52 std::unique_ptr<Gaudi::Details::PropertyBase> p{new Gaudi::Property<std::string>( property.name(), "" )};
53 return property.load( *p ) ? m_svc_catalog.addProperty( client, p.release() ) : StatusCode::FAILURE;
54 }
StatusCode::FAILURE
Definition: StatusCode.h:29
Gaudi::Property
Implementation of property with value of concrete type.
Definition: Property.h:314
JobOptionsSvc::m_svc_catalog
SvcCatalog m_svc_catalog
Definition: JobOptionsSvc.h:80
SvcCatalog::addProperty
StatusCode addProperty(const std::string &client, const Gaudi::Details::PropertyBase *property)
Definition: SvcCatalog.cpp:40
Gaudi::Property::load
bool load(Details::PropertyBase &dest) const override
set value to another property
Definition: Property.h:609
std::unique_ptr< Gaudi::Details::PropertyBase >

void JobOptionsSvc::dump | ( | const std::string & | file,
|  | const Gaudi::Parsers::Catalog & | catalog
| ) |  | const
| private

Definition at line 89 of file JobOptionsSvc.cpp.

90 {
91 std::ofstream out( file, std::ios_base::out | std::ios_base::trunc );
92 if ( !out ) {
93 error() << "Unable to open dump-file \"" + file + "\"" << endmsg;
94 return; // RETURN
95 }
96 info() << "Properties are dumped into \"" + file + "\"" << endmsg;
97 // perform the actual dump:
98 out << catalog;
99 }
CommonMessagingBase::info
MsgStream & info() const
shortcut for the method msgStream(MSG::INFO)
Definition: CommonMessaging.h:123
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:117
std::ofstream
STL class.
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

void JobOptionsSvc::fillServiceCatalog | ( | const Gaudi::Parsers::Catalog & | catalog | ) |
| private

Definition at line 101 of file JobOptionsSvc.cpp.

102 {
103 for ( const auto& client : catalog ) {
104 for ( const auto& current : client.second ) {
105 addPropertyToCatalogue( client.first,
106 Gaudi::Property<std::string>{current.NameInClient(), current.ValueAsString()} );
107 }
108 }
109 }
Gaudi::Property
Implementation of property with value of concrete type.
Definition: Property.h:314
JobOptionsSvc::addPropertyToCatalogue
StatusCode addPropertyToCatalogue(const std::string &client, const Gaudi::Details::PropertyBase &property) override
Add a property into the JobOptions catalog.
Definition: JobOptionsSvc.cpp:49

const Gaudi::Details::PropertyBase* JobOptionsSvc::getClientProperty | ( | const std::string & | client,
|  | const std::string & | name
| ) |  | const
| inline override

Get a property for a client.

Definition at line 51 of file JobOptionsSvc.h.

53 {
54 return m_svc_catalog.getProperty( client, name );
55 }
JobOptionsSvc::m_svc_catalog
SvcCatalog m_svc_catalog
Definition: JobOptionsSvc.h:80
SvcCatalog::getProperty
const Gaudi::Details::PropertyBase * getProperty(const std::string &client, const std::string &name) const
Definition: SvcCatalog.cpp:120

std::vector< std::string > JobOptionsSvc::getClients | ( |  | ) | const
| override

Get the list of clients.

Definition at line 87 of file JobOptionsSvc.cpp.

87 { return m_svc_catalog.getClients(); }
JobOptionsSvc::m_svc_catalog
SvcCatalog m_svc_catalog
Definition: JobOptionsSvc.h:80
SvcCatalog::getClients
std::vector< std::string > getClients() const
Definition: SvcCatalog.cpp:70

const JobOptionsSvc::PropertiesT * JobOptionsSvc::getProperties | ( | const std::string & | client | ) | const
| override

Get the properties associated to a given client.

Definition at line 61 of file JobOptionsSvc.cpp.

62 {
63 return m_svc_catalog.getProperties( client );
64 }
SvcCatalog::getProperties
const PropertiesT * getProperties(const std::string &client) const
Definition: SvcCatalog.cpp:65
JobOptionsSvc::m_svc_catalog
SvcCatalog m_svc_catalog
Definition: JobOptionsSvc.h:80

StatusCode JobOptionsSvc::initialize | ( |  | ) |
| override

Definition at line 30 of file JobOptionsSvc.cpp.

31 {
32 // Call base class initializer
33 StatusCode sc = Service::initialize();
34 // Read the job options if needed
35 if ( sc ) {
36 if ( m_source_type == "NONE" ) {
37 return sc;
38 } else if ( m_source_type == "PYTHON" ) {
39 PythonConfig conf( this );
40 return conf.evaluateConfig( m_source_path, m_pythonParams, m_pythonAction );
41 } else {
42 return readOptions( m_source_path, m_dir_search_path );
43 }
44 }
45 return sc;
46 }
Service::initialize
StatusCode initialize() override
Definition: Service.cpp:64
JobOptionsSvc::m_source_path
Gaudi::Property< std::string > m_source_path
Definition: JobOptionsSvc.h:74
JobOptionsSvc::m_pythonAction
Gaudi::Property< std::string > m_pythonAction
Definition: JobOptionsSvc.h:77
PythonConfig
Definition: PythonConfig.h:25
JobOptionsSvc::m_pythonParams
Gaudi::Property< std::string > m_pythonParams
Definition: JobOptionsSvc.h:78
JobOptionsSvc::m_dir_search_path
Gaudi::Property< std::string > m_dir_search_path
Definition: JobOptionsSvc.h:75
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
JobOptionsSvc::readOptions
StatusCode readOptions(const std::string &file, const std::string &path="") override
look for file &#39;file&#39; into search path &#39;path&#39; and read it to update existing JobOptionsCatalogue ...
Definition: JobOptionsSvc.cpp:111
JobOptionsSvc::m_source_type
Gaudi::Property< std::string > m_source_type
dump the content of Properties catalog to the predefined file
Definition: JobOptionsSvc.h:73

StatusCode JobOptionsSvc::readOptions | ( | const std::string & | file,
|  | const std::string & | path = `""`
| ) |  |
| override

look for file 'file' into search path 'path' and read it to update existing JobOptionsCatalogue

Parameters

  file | file name
  path | search path

Returns
  status code

Definition at line 111 of file JobOptionsSvc.cpp.

112 {
113 std::string search_path = path;
114 if ( search_path.empty() && !m_dir_search_path.empty() ) {
115 search_path = m_dir_search_path;
116 }
117 //
118 if ( msgLevel( MSG::DEBUG ) )
119 debug() << "Reading options from the file "
120 << "'" << file << "'" << endmsg;
121 gp::Messages messages( msgStream() );
122 gp::Catalog catalog;
123 gp::Units units;
124 gp::PragmaOptions pragma;
125 gp::Node ast;
126 StatusCode sc = gp::ReadOptions( file, path, &messages, &catalog, &units, &pragma, &ast );
127
128 // --------------------------------------------------------------------------
129 if ( sc.isSuccess() ) {
130 if ( pragma.IsPrintOptions() ) {
131 info() << "Print options" << std::endl << catalog << endmsg;
132 }
133 if ( pragma.IsPrintTree() ) {
134 info() << "Print tree:" << std::endl << ast.ToString() << endmsg;
135 }
136 if ( pragma.HasDumpFile() ) dump( pragma.dumpFile(), catalog );
137 info() << "Job options successfully read in from " << file << endmsg;
138 fillServiceCatalog( catalog );
139 } else {
140 fatal() << "Job options errors." << endmsg;
141 }
142 // ----------------------------------------------------------------------------
143 return sc;
144 }
std::string::empty
T empty(T...args)
JobOptionsSvc::fillServiceCatalog
void fillServiceCatalog(const Gaudi::Parsers::Catalog &catalog)
Definition: JobOptionsSvc.cpp:101
GaudiPython.HistoUtils.path
path
Definition: HistoUtils.py:772
CommonMessagingBase::info
MsgStream & info() const
shortcut for the method msgStream(MSG::INFO)
Definition: CommonMessaging.h:123
StatusCode::isSuccess
bool isSuccess() const
Test for a status code of SUCCESS.
Definition: StatusCode.h:74
MSG::DEBUG
Definition: IMessageSvc.h:18
std::endl
T endl(T...args)
Gaudi::Parsers::ReadOptions
bool ReadOptions(const std::string &filename, const std::string &search_path, Messages *messages, Catalog *catalog, Units *units, PragmaOptions *pragma, Node *root)
Parse and analyze filename, save all messages and properties.
Definition: Analyzer.cpp:416
std::string
STL class.
JobOptionsSvc::dump
void dump(const std::string &file, const Gaudi::Parsers::Catalog &catalog) const
Definition: JobOptionsSvc.cpp:89
JobOptionsSvc::m_dir_search_path
Gaudi::Property< std::string > m_dir_search_path
Definition: JobOptionsSvc.h:75
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
CommonMessagingBase::debug
MsgStream & debug() const
shortcut for the method msgStream(MSG::DEBUG)
Definition: CommonMessaging.h:126
CommonMessagingBase::msgStream
MsgStream & msgStream() const
Return an uninitialized MsgStream.
Definition: CommonMessaging.h:88
CommonMessagingBase::fatal
MsgStream & fatal() const
shortcut for the method msgStream(MSG::FATAL)
Definition: CommonMessaging.h:111
CommonMessagingBase::msgLevel
MSG::Level msgLevel() const
get the output level from the embedded MsgStream
Definition: CommonMessaging.h:135
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

StatusCode JobOptionsSvc::removePropertyFromCatalogue | ( | const std::string & | client,
|  | const std::string & | name
| ) |  |
| override

Remove a property from the JobOptions catalog.

Definition at line 56 of file JobOptionsSvc.cpp.

57 {
58 return m_svc_catalog.removeProperty( client, name );
59 }
JobOptionsSvc::m_svc_catalog
SvcCatalog m_svc_catalog
Definition: JobOptionsSvc.h:80
SvcCatalog::removeProperty
StatusCode removeProperty(const std::string &client, const std::string &name)
Definition: SvcCatalog.cpp:52

StatusCode JobOptionsSvc::setMyProperties | ( | const std::string & | client,
|  | IProperty * | me
| ) |  |
| override

Override default properties of the calling client.

Parameters

  client | Name of the client algorithm or service
  me | Address of the interface IProperty of the client

Definition at line 66 of file JobOptionsSvc.cpp.

67 {
68 const auto* props = m_svc_catalog.getProperties( client );
69 if ( !props ) {
70 return StatusCode::SUCCESS;
71 }
72
73 bool fail = false;
74 for ( const auto& cur : *props ) {
75 StatusCode sc = myInt->setProperty( *cur );
76 if ( sc.isFailure() ) {
77 error() << "Unable to set the property '" << cur->name() << "'"
78 << " of '" << client << "'. "
79 << "Check option and algorithm names, type and bounds." << endmsg;
80 fail = true;
81 }
82 }
83 return fail ? StatusCode::FAILURE : StatusCode::SUCCESS;
84 }
StatusCode::SUCCESS
Definition: StatusCode.h:30
StatusCode::FAILURE
Definition: StatusCode.h:29
SvcCatalog::getProperties
const PropertiesT * getProperties(const std::string &client) const
Definition: SvcCatalog.cpp:65
JobOptionsSvc::m_svc_catalog
SvcCatalog m_svc_catalog
Definition: JobOptionsSvc.h:80
StatusCode::isFailure
bool isFailure() const
Test for a status code of FAILURE.
Definition: StatusCode.h:84
CommonMessagingBase::error
MsgStream & error() const
shortcut for the method msgStream(MSG::ERROR)
Definition: CommonMessaging.h:117
StatusCode
This class is used for returning status codes from appropriate routines.
Definition: StatusCode.h:26
endmsg
MsgStream & endmsg(MsgStream &s)
MsgStream Modifier: endmsg. Calls the output method of the MsgStream.
Definition: MsgStream.h:244

## Member Data Documentation

Gaudi::Property<std::string> JobOptionsSvc::m_dir_search_path {this, "SEARCHPATH"}
| private

Definition at line 75 of file JobOptionsSvc.h.

Gaudi::Property<std::string> JobOptionsSvc::m_dump {this, "DUMPFILE"}
| private

Definition at line 76 of file JobOptionsSvc.h.

Gaudi::Property<std::string> JobOptionsSvc::m_pythonAction {this, "PYTHONACTION"}
| private

Definition at line 77 of file JobOptionsSvc.h.

Gaudi::Property<std::string> JobOptionsSvc::m_pythonParams {this, "PYTHONPARAMS"}
| private

Definition at line 78 of file JobOptionsSvc.h.

Gaudi::Property<std::string> JobOptionsSvc::m_source_path {this, "PATH"}
| private

Definition at line 74 of file JobOptionsSvc.h.

Gaudi::Property<std::string> JobOptionsSvc::m_source_type {this, "TYPE"}
| private

dump the content of Properties catalog to the predefined file

Definition at line 73 of file JobOptionsSvc.h.

SvcCatalog JobOptionsSvc::m_svc_catalog
| private

Definition at line 80 of file JobOptionsSvc.h.

The documentation for this class was generated from the following files:

- GaudiCoreSvc/src/JobOptionsSvc/JobOptionsSvc.h
- GaudiCoreSvc/src/JobOptionsSvc/JobOptionsSvc.cpp